Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# NoFunction Class Reference

A class representing an empty function. More...

`#include <PotentialFunctions.h>`

Inheritance diagram for NoFunction:

[legend]
Collaboration diagram for NoFunction:

[legend]
List of all members.

## Public Member Functions
double | computeValue (double x, bool smooth=true)
| Computes the value of the function for a given x.
double | computeDerivativeValue (double x, bool smooth=false)
| Computes the value of the derivative of the function for a given x.
virtual PotentialfieldFunction * | clone ()
| Clones a function object.

## Detailed Description

A class representing an empty function.

Definition at line 506 of file PotentialFunctions.h.

## Member Function Documentation

double NoFunction::computeValue | ( | double | x,
|  | bool | smooth = true
| ) | `[inline, virtual]`

  | Computes the value of the function for a given x. Parameters:
  x | The distance for which to compute the value of the function
  smooth | flag, not used here
Returns: The value of the function Reimplemented from PotentialfieldFunction. Definition at line 514 of file PotentialFunctions.h.

double NoFunction::computeDerivativeValue | ( | double | x,
|  | bool | smooth = false
| ) | `[inline, virtual]`

  | Computes the value of the derivative of the function for a given x. Parameters:
  x | The distance for which to compute the value of the function
  smooth | flag, not used here
Returns: The value of the function Reimplemented from PotentialfieldFunction. Definition at line 524 of file PotentialFunctions.h.

virtual PotentialfieldFunction* NoFunction::clone | ( |  | ) | `[inline, virtual]`

| Clones a function object. Returns: A pointer to a copy of the object Implements PotentialfieldFunction. Definition at line 532 of file PotentialFunctions.h.

The documentation for this class was generated from the following file:

- Tools/PotentialFields/PotentialFunctions.h